# SUI - Button Group
*A group of buttons related in content. They can work as links or checkbox/radio buttons.*

|   Status          | Done |
|   :----           |   :---- |
|   Current version |   1.1|
|   Category        |   Molecule |
|   Owners          |   UX @David G, @Chris J, FE @Pablo G |


## Structure

Button groups consist of an inline set of secondary or tertiary buttons. Use for action bars.

![](https://d2mxuefqeaa7sj.cloudfront.net/s_A07BAB4BAE6EE382855AB81DF34C6A6D73978CED6E93B5F3762CECAE42565238_1511865770859_1-buttongroup-structure.png)

The width of the button group is normally dependent on the buttons that it contains.

![](https://d2mxuefqeaa7sj.cloudfront.net/s_A07BAB4BAE6EE382855AB81DF34C6A6D73978CED6E93B5F3762CECAE42565238_1511865783114_2-buttongroup-behavior.png)

## Sizes

Button group size depend on the three different sizes defined for the button component.

![](https://d2mxuefqeaa7sj.cloudfront.net/s_A07BAB4BAE6EE382855AB81DF34C6A6D73978CED6E93B5F3762CECAE42565238_1513182670898_1.0-buttongroup-sizes.png)

### Small (default)

For button groups, it’s the standard size. 

![](https://d2mxuefqeaa7sj.cloudfront.net/s_A07BAB4BAE6EE382855AB81DF34C6A6D73978CED6E93B5F3762CECAE42565238_1513182201096_1.1-buttongroup-structure+S.png)

### Medium

Using this size depends on the importance or hierarchy of the action.

![](https://d2mxuefqeaa7sj.cloudfront.net/s_A07BAB4BAE6EE382855AB81DF34C6A6D73978CED6E93B5F3762CECAE42565238_1513182212060_1.2-buttongroup-structure+M.png)

### Large

The use of a larger button may be considered exceptional. 

![](https://d2mxuefqeaa7sj.cloudfront.net/s_A07BAB4BAE6EE382855AB81DF34C6A6D73978CED6E93B5F3762CECAE42565238_1513182221015_1.3-buttongroup-structure+L.png)

## Behaviour

Button Groups can be configured to behave as either links (when they act as a link to another page) or radio-buttons/checkboxes (when used to toggle an option/multiple options).


## Types

### Basic button group

It takes its characteristics from the buttons included in the button group.
It can be aligned to the left, center or right of the container.

![](https://d2mxuefqeaa7sj.cloudfront.net/s_A07BAB4BAE6EE382855AB81DF34C6A6D73978CED6E93B5F3762CECAE42565238_1511865799362_3.1-buttongroup-types-basic.png)

### Full width button group

In case of full-width button group, each contained button stretches itself in proportion, fitting into the container. 
The full width button group is build using the secondary button.

![](https://d2mxuefqeaa7sj.cloudfront.net/s_A07BAB4BAE6EE382855AB81DF34C6A6D73978CED6E93B5F3762CECAE42565238_1511865811768_3.2-buttongroup-types-fullwidth.png)

## Contents

Tab labels should be clear enough to allow the user to identify its content.
Text labels must use short titles.

![](https://d2mxuefqeaa7sj.cloudfront.net/s_A07BAB4BAE6EE382855AB81DF34C6A6D73978CED6E93B5F3762CECAE42565238_1511865854405_4-buttongroup-content.png)

## Visual

Secondary button group have border radius only on the sides of the button group.
Tertiary button group keeps the individual button border radius.

![](https://d2mxuefqeaa7sj.cloudfront.net/s_A07BAB4BAE6EE382855AB81DF34C6A6D73978CED6E93B5F3762CECAE42565238_1511866933858_6-buttongroup-visual.png)

## Responsive

A responsive button group may have the same width as on the desktop version, adapt its width to that of the container in which it is placed.

When the button width exceeds the screen width, we keep the original tab group width, adding a horizontal scroll.

![](https://d2mxuefqeaa7sj.cloudfront.net/s_A07BAB4BAE6EE382855AB81DF34C6A6D73978CED6E93B5F3762CECAE42565238_1511866952452_5.1-buttongroup-responsive-basic.png)

![](https://d2mxuefqeaa7sj.cloudfront.net/s_A07BAB4BAE6EE382855AB81DF34C6A6D73978CED6E93B5F3762CECAE42565238_1511866968735_5.2-buttongroup-responsive-fullwidth.png)


## Accessibility

This component should support the recommendations that appear on the [Accessibility & Inclusion Guidelines](https://github.com/SUI-Components/UX-Definitions/blob/master/Accessibility%20and%20Inclusion%20Guidelines.md).

For this component it is recommended to pay special attention to the following recommendations:

- Every interactive element should be focusable
- Focus order should match visual order
- Focus should be visible
- Interactive elements and images should be correctly labelled
- Interactive elements should be differentiated from content
- Clickable area should be sufficient
- Content should have enough contrast to its background 

## Links

- Zeplin: http://zpl.io/VYPygdm

## Specific notes per vertical

If relevant, include more details for each of the themes

- Vibbo
- CarFactory
- ePreselec
- Fotocasa
- Habitaclia
- Inmofactory
- Infojobs: https://zpl.io/2EyqLzy
- Milanuncios
- Motor

## Changelog

### Version 1.0

- Nothing here yet
