import _objectSpread from "@babel/runtime/helpers/esm/objectSpread";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import PropTypes from 'prop-types';
import cx from 'classnames';
var BASE_CLASS = 'sui-MoleculeButtonGroup';

var getGroupPosition = function getGroupPosition(groupPositions, numChildren, index) {
  if (index === 0) return groupPositions.FIRST;
  if (index === numChildren - 1) return groupPositions.LAST;
  return groupPositions.MIDDLE;
};

var MoleculeButtonGroup = function MoleculeButtonGroup(_ref) {
  var children = _ref.children,
      fullWidth = _ref.fullWidth,
      groupPositions = _ref.groupPositions,
      props = _objectWithoutProperties(_ref, ["children", "fullWidth", "groupPositions"]);

  var numChildren = children.length;
  var getGroupPositionByIndex = getGroupPosition.bind(null, groupPositions, numChildren);
  var extendedChildren = React.Children.toArray(children).filter(Boolean).map(function (child, index) {
    var groupPosition = getGroupPositionByIndex(index);
    return React.cloneElement(child, _objectSpread({}, props, {
      groupPosition: groupPosition,
      fullWidth: fullWidth
    }));
  });
  return React.createElement("div", {
    className: cx(BASE_CLASS, fullWidth && BASE_CLASS + "--fullWidth")
  }, extendedChildren);
};

MoleculeButtonGroup.displayName = 'MoleculeButtonGroup';
MoleculeButtonGroup.defaultProps = {
  groupPositions: {
    FIRST: 'first',
    MIDDLE: 'middle',
    LAST: 'last'
  }
};
export default MoleculeButtonGroup;